package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class SecuritySalt.
 * @see sicura.entities.SecuritySalt
 * @author Hibernate Tools
 */
@Stateless
public class SecuritySaltHome {

	private static final Log log = LogFactory.getLog(SecuritySaltHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(SecuritySalt transientInstance) {
		log.debug("persisting SecuritySalt instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(SecuritySalt persistentInstance) {
		log.debug("removing SecuritySalt instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public SecuritySalt merge(SecuritySalt detachedInstance) {
		log.debug("merging SecuritySalt instance");
		try {
			SecuritySalt result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public SecuritySalt findById(String id) {
		log.debug("getting SecuritySalt instance with id: " + id);
		try {
			SecuritySalt instance = entityManager.find(SecuritySalt.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
